<?php
error_reporting(E_ALL);
//error_reporting(0);
ob_start();
session_start();
date_default_timezone_set('Europe/Istanbul');
$tumurl = 'http://'.$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];

$suantumzaman = date('Y-m-d H:i:s');
require 'a0_ayarlardegismezler.php';
require 'sabitsayfalar/baglan.php';

 

if(strstr($base_url,'https:')){
    if(!(strstr($tumurl,'https:'))){
        $tumurl = str_replace('http:','https:',$tumurl);
    }
}
        
$sayfa = 'anasayfa.php';
if(isset($_GET['page'])){
    // URLYE EK YAZI EKLENİLMİŞ - ONU $url değişkeniyle db den sorgulatıp bakacagız
    $url = $_GET['page'];
    
    
    $seosql = "SELECT * FROM " . $dts . "seo_url_liste WHERE seo_url = :seo_url ";
    $onay = '1';
    $seostmt = $connPDO->prepare($seosql);
    $seostmt->bindParam(':seo_url', $url, PDO::PARAM_STR);
    $seostmt->execute();
    if ($seostmt->rowCount() > 0) {
        
        $seorow = $seostmt->fetch(PDO::FETCH_ASSOC);

        if((int)$seorow['seo_kimlik'] == 3){
            // sabit içerik sayfası 
            
            
            if(trim($url) == 'hakkimizda'){//Hakkimizda Listesi
                $sayfa = 'hakkimizda.php';
            } else if(trim($url) == 'haberler'){// Haberler Listesi
                $sayfa = 'haberler.php';
            }else if(trim($url) == 'raporlar'){// Haberler Listesi
                $sayfa = 'raporlar.php';
            }   else if(trim($url) == 'iletisim'){// İletisim Listesi
                $sayfa = 'iletisim.php';
            } else if(trim($url) == 'duyurular'){// duyurular Listesi
                $sayfa = 'duyurular.php';
            }else if(trim($url) == 'egitimler'){// duyurular Listesi
                $sayfa = 'egitimler.php';
            } else if(trim($url) == 'danismanlik'){// duyurular Listesi
                $sayfa = 'danismanlik.php';
            }  else if(trim($url) == 'yonetimkurulu'){// yonetimkurulu Listesi
                $sayfa = 'yonetim-kurulu.php';
            }else if(trim($url) == 'yatirimkomitesi'){// yonetimkurulu Listesi
                $sayfa = 'yatirim-komitesi.php';
            } else if(trim($url) == 'takimimiz'){// yonetimkurulu Listesi
                $sayfa = 'takimimiz.php';
            }  else if(trim($url) == 'kurumsalkimlikrehberi'){// uyeler Listesi
                $sayfa = 'kurumsal-kimlik.php';
            }else if(trim($url) == 'programlar'){// uyeler Listesi
                $sayfa = 'programlar.php';
            }else if(trim($url) == 'istiraklerimiz'){// uyeler Listesi
                $sayfa = 'istiraklerimiz.php';
            }else if(trim($url) == 'egitimenbasvuru'){// uyeler Listesi
                $sayfa = 'egitimen-basvuru.php';
            }else if(trim($url) == 'tedarikci'){// uyeler Listesi
                $sayfa = 'tedarikci-basvuru.php';
            }else if(trim($url) == 'girisimcibasvuru'){// uyeler Listesi
                $sayfa = 'girisimci-basvuru.php';
            }else if(trim($url) == 'teknojibasvuru'){// uyeler Listesi
                $sayfa = 'teknoji-basvuru.php';
            }else if(trim($url) == 'mentorbasvuru'){// uyeler Listesi
                $sayfa = 'mentor-basvuru.php';
            }
            
            
            // BURAYA YENI SATIR EKLEMEK İÇİN 
            // Sayfalara sadece link ekleyip sonra page_silme_kilit i 1 yapıyoruz 
            // Sonra urlsini buraya yazıyoruz
            
            
        } else if((int)$seorow['seo_kimlik'] == 5){// haber detay sayfası
            $sayfa = 'haber-detay.php';
        }else if((int)$seorow['seo_kimlik'] == 8){// duyuru detay sayfası
            $sayfa = 'duyuru-detay.php';
        }else if((int)$seorow['seo_kimlik'] == 9){//  egitim detay
            $sayfa = 'egitim-detay.php';
        }else if((int)$seorow['seo_kimlik'] == 10){// danisman detay
            $sayfa = 'danisman-detay.php';
        }else if((int)$seorow['seo_kimlik'] == 11){// program detay
            $sayfa = 'program-detay.php';
        }else if((int)$seorow['seo_kimlik'] == 12){// istirak detay
            $sayfa = 'istirak-detay.php';
        }







    }
    else {
        // DEMEKKİ BU YAZILI URL İLE SAYFA YOK 404 NOT FOUND SAYFASINI BURDA GÖSTERECEGIZ
        $sayfa = '404.php';
    }


}
else {
      // PAGE HİÇ BİR ŞEY YAZILMAMIŞ BU DEMEK OLUYORKİ İLK SAYFA GÖSTERİMİ Yaani Anasayfa 
    $sayfa = 'anasayfa.php';
}





 include('sayfalar/'.$sayfa);  

      
 
 
 
 
 
 
 
 
 

function url_get_getir($parametre){
    $url = 'https://'.$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
    
    $return = '';
    
    $url_pld_parametrekismi = explode('?',$url);
    if(isset($url_pld_parametrekismi[1])){
        
        $url_pld = explode('&',$url_pld_parametrekismi[1]);
        for($i = 0; $i < count($url_pld); $i++){
            
            if(isset($url_pld[$i])){
                if(strstr($url_pld[$i],'='))
                $parametre_pld = explode('=',$url_pld[$i]);
                
                if (isset($parametre_pld[0]) AND isset($parametre_pld[1])){
                    if($parametre_pld[0] == $parametre){
                    $return = $parametre_pld[1];
                    }
                }
                
            }
            
        }
        
    } 
    
    
    return urldecode($return);
//    return mb_convert_encoding($return, 'UTF-8', 'ISO-8859-1');
    
}


?>
